Subject: Re: Updated: perl-5.8.0-2
From: "Gerrit P. Haase" <[email-masked]>
To: [email-masked]
Date: Mon, 31 Mar 2003 22:48:05 +0200

Hallo Rolf,

Am Montag, 31. März 2003 um 19:47 schriebst du:

> Gerrit P. Haase wrote:
>> perl-5.8.0-2 release has been uploaded to sourceware
>>                    -- it should be on the mirrors soon.
>> 

> Several problems with this version.  A bunch of my scripts have stopped 
> working, and when I tried to figure out why, I got some very strange 
> behavior from the debugger.

> Try this (I tried it in both rxvt & 'dos box' with same results):
> 1) run "perl -d"
> 2) type "print;"
> 3) hit Ctrl+D
> 4) hit Enter
> 5) hit Enter

> When I do this, step #4 does NOTHING (and by nothing I mean: the key 
> made a little click sound when I hit it, but there was no other proof 
> that I hit the key).  It seems that this perl needs 2 enter keys in a 
> row to recognize one.  I tried hitting 'a<enter>a<enter>a<enter>', and 
> only 'aaa' showed on the screen (all on the same line).

This is a known 'feature', try
$ export PERLIO=perlio
or
$ export PERLIO=raw
before running a script or this test.

> Also, when I ran cygcheck, I got:
> cygcheck: dump_sysinfo: GetVolumeInformation() failed: 53

How do you run cygcheck?

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/